{% extends "base.html" %}
{% load staticfiles %}
{% load i18n %}
{% load data_filters %}

{% block title %}{% trans 'Transaction list' %}{% endblock %}

{% block head %}
{% endblock head %}

{% block content %}

  {% include 'transaction/transaction_handle.html' %}
  <table width="100%">
    <tbody>
      <tr>
        <td style="width: 85%;">
          <!-- 此部分显示具体datalist -->
          <table id="dg" class="easyui-datagrid" title="" style="height:400px;" rownumbers='false' singleSelect='false' selectOnCheck='true' pagination='false' fitColumns='true' nowrap='true'>
            <thead>
              <tr>
                <th data-options="field:'ck',checkbox:true"></th>
                <th data-options="field:'id',align:'center',width:80" hidden="hidden">Index</th>
                <th data-options="field:'pin',align:'center',width:80">ID</th>
                <th data-options="field:'emp_name',align:'center',width:80">Name</th>
                <th data-options="field:'time',align:'center',width:130">Time</th>
                <th data-options="field:'state',align:'center',width:80">Att State</th>
                <th data-options="field:'verify',align:'center',width:100">Verification Mode</th>
                <th data-options="field:'workcode',align:'center',width:60">Work Code</th>
                <th data-options="field:'sn',align:'center',width:80">Device</th>
                <th data-options="field:'area_name',align:'center',width:80">Area</th>
                <th data-options="field:'depart_name',align:'center',width:80">Department</th>
                <th data-options="field:'picture',align:'center',width:80" hidden="hidden">Att Photo</th>
              </tr>
            </thead>
            <tbody>
              {% for transaction in transactions %}
                <tr>
                  <td><input type="checkbox" class="" ></td>
                  <td hidden="hidden">{{ transaction.id }}</td>
                  <td>{{ transaction.employee.pin }}</td>
                  <td>{{ transaction.employee.emp_name }}</td>
                  <td>{{ transaction.time|time_format }}</td>
                  {% if transaction.status == '0' %}
                    <td>Check In</td>
                  {% elif transaction.status == '1' %}
                    <td>Check Out</td>
                  {% elif transaction.status == '2' %}
                    <td>Break Out</td>
                  {% elif transaction.status == '3' %}
                    <td>Out Back</td>
                  {% elif transaction.status == '4' %}
                    <td>OT In</td>
                  {% elif transaction.status == '5' %}
                    <td>OT Out</td>
                  {% else %}
                    <td></td>
                  {% endif %}
                  <td>{{ transaction.verify }}</td>
                  <td>{{ transaction.workcode }}</td>
                  <!-- <td>{{ transaction.reserved }}</td> -->
                  <td>{{ transaction.iclock.sn }}</td>
                  <td>{{ transaction.get_area_name }}</td>
                  <td>{{ transaction.employee.department.depart_name }}</td>
                  <td hidden="hidden">/media/data_store/att_pic/{{ transaction.iclock.sn }}/{{ transaction.time|time_format_Ymd }}{{ transaction.employee.pin }}_{{ transaction.time|time_format_HMS }}.jpg</td>
                </tr>
              {% endfor %}
            </tbody>
          </table>
        </td>
        <td style="width: 15%;">
          <!-- 此部分显示Att Photo 以及相应信息 -->
          <div style="float: right; height: 400px; background-color: #FFF;border: solid #DCDCDC 1px">
            <h1 style="background-color: #DCDCDC;">Att Photo</h1>
            <div id='att_photo' class='div_att_photo'>
              <table>
                <tbody>
                  <tr>
                    <td id='att_pic' colspan=2 align="center">
                      <img src="{% static 'img/userImage_default.gif' %}" onerror="this.src='/static/img/userImage_default.gif'">
                    </td>
                  </tr>
                  <tr><th title='pin'>ID:</th><td>None</td></tr>
                  <tr><th title='emp_name'>Name:</th><td>None</td></tr>
                  <tr><th title='time'>Time:</th><td>None</td></tr>
                  <tr><th title='state'>Status:</th><td>None</td></tr>
                  <tr><th title='sn'>Device:</th><td>None</td></tr>
                  <tr><th title='area_name'>Area:</th><td>None</td></tr>
                </tbody>
              </table>
            </div>
          </div>
        </td>
      </tr>
    </tbody>
  </table>

   {% include 'paginator.html' with paginator=transactions %}

<style>
.div_att_photo {
  width: 265px;
  height: 370px;
  background-color: #E6F0FF;
  margin: 0 auto;
  margin-top:8px;
}
.div_att_photo img {
  margin: 6px;
  padding: 0px;
  height: 230px;
  width: 180px;
}
.div_att_photo td {
  white-space:nowrap;
  padding-right: 10px;
  padding-left: 3px;
  height: 20px;
  border-bottom-width: 1px;
  border-bottom-style: dotted;
  border-bottom-color: #CCCCCC;
  font-size: 12px;
  width: 220px;
}
.div_att_photo th {
  white-space:nowrap;
  padding-right: 10px;
  padding-left: 50px;
  text-align: right;
  border-bottom-width: 1px;
  border-bottom-style: dotted;
  border-bottom-color: #CCCCCC;
  font-weight: bold;
  font-size: 12px;
  width: 150px;
}
</style>

<script>

// 点击transaction数据便可更新右边详细内容和考勤图片
$('#dg').datagrid({
  onClickRow: function(index,field,value){
    var data_keys = Object.keys(field)

    $('#att_photo').find("th").each(function(){
      for(key in field)
      {
        if($(this).attr('title') == key)
        {
          $(this).next().text(field[key])
        }
      }
    })
    $("#att_pic").children("img").attr('src',field["picture"])
  }
});

$(document).ready(function(){
    device_sn = getParam("device_sn")
    pin = getParam("pin")
    if(device_sn)
    {
      $('#device_sn_filter').attr('value', device_sn)
    }
    if(pin)
    {
      $('#pin_filter').attr('value', pin)
    }
});

function reflush_input()
{
  $('#device_sn_filter').attr('value', '')
  $('#pin_filter').attr('value', '')
}

</script>

{% endblock content %}
